(function() {
  if (typeof Prism > "u" || typeof document > "u")
    return;
  var j = (
    /*dependencies_placeholder[*/
    {
      javascript: "clike",
      actionscript: "javascript",
      apex: [
        "clike",
        "sql"
      ],
      arduino: "cpp",
      aspnet: [
        "markup",
        "csharp"
      ],
      birb: "clike",
      bison: "c",
      c: "clike",
      csharp: "clike",
      cpp: "c",
      cfscript: "clike",
      chaiscript: [
        "clike",
        "cpp"
      ],
      cilkc: "c",
      cilkcpp: "cpp",
      coffeescript: "javascript",
      crystal: "ruby",
      "css-extras": "css",
      d: "clike",
      dart: "clike",
      django: "markup-templating",
      ejs: [
        "javascript",
        "markup-templating"
      ],
      etlua: [
        "lua",
        "markup-templating"
      ],
      erb: [
        "ruby",
        "markup-templating"
      ],
      fsharp: "clike",
      "firestore-security-rules": "clike",
      flow: "javascript",
      ftl: "markup-templating",
      gml: "clike",
      glsl: "c",
      go: "clike",
      gradle: "clike",
      groovy: "clike",
      haml: "ruby",
      handlebars: "markup-templating",
      haxe: "clike",
      hlsl: "c",
      idris: "haskell",
      java: "clike",
      javadoc: [
        "markup",
        "java",
        "javadoclike"
      ],
      jolie: "clike",
      jsdoc: [
        "javascript",
        "javadoclike",
        "typescript"
      ],
      "js-extras": "javascript",
      json5: "json",
      jsonp: "json",
      "js-templates": "javascript",
      kotlin: "clike",
      latte: [
        "clike",
        "markup-templating",
        "php"
      ],
      less: "css",
      lilypond: "scheme",
      liquid: "markup-templating",
      markdown: "markup",
      "markup-templating": "markup",
      mongodb: "javascript",
      n4js: "javascript",
      objectivec: "c",
      opencl: "c",
      parser: "markup",
      php: "markup-templating",
      phpdoc: [
        "php",
        "javadoclike"
      ],
      "php-extras": "php",
      plsql: "sql",
      processing: "clike",
      protobuf: "clike",
      pug: [
        "markup",
        "javascript"
      ],
      purebasic: "clike",
      purescript: "haskell",
      qsharp: "clike",
      qml: "javascript",
      qore: "clike",
      racket: "scheme",
      cshtml: [
        "markup",
        "csharp"
      ],
      jsx: [
        "markup",
        "javascript"
      ],
      tsx: [
        "jsx",
        "typescript"
      ],
      reason: "clike",
      ruby: "clike",
      sass: "css",
      scss: "css",
      scala: "java",
      "shell-session": "bash",
      smarty: "markup-templating",
      solidity: "clike",
      soy: "markup-templating",
      sparql: "turtle",
      sqf: "clike",
      squirrel: "clike",
      stata: [
        "mata",
        "java",
        "python"
      ],
      "t4-cs": [
        "t4-templating",
        "csharp"
      ],
      "t4-vb": [
        "t4-templating",
        "vbnet"
      ],
      tap: "yaml",
      tt2: [
        "clike",
        "markup-templating"
      ],
      textile: "markup",
      twig: "markup-templating",
      typescript: "javascript",
      v: "clike",
      vala: "clike",
      vbnet: "basic",
      velocity: "markup",
      wiki: "markup",
      xeora: "markup",
      "xml-doc": "markup",
      xquery: "markup"
    }
  ), k = (
    /*aliases_placeholder[*/
    {
      html: "markup",
      xml: "markup",
      svg: "markup",
      mathml: "markup",
      ssml: "markup",
      atom: "markup",
      rss: "markup",
      js: "javascript",
      g4: "antlr4",
      ino: "arduino",
      "arm-asm": "armasm",
      art: "arturo",
      adoc: "asciidoc",
      avs: "avisynth",
      avdl: "avro-idl",
      gawk: "awk",
      sh: "bash",
      shell: "bash",
      shortcode: "bbcode",
      rbnf: "bnf",
      oscript: "bsl",
      cs: "csharp",
      dotnet: "csharp",
      cfc: "cfscript",
      "cilk-c": "cilkc",
      "cilk-cpp": "cilkcpp",
      cilk: "cilkcpp",
      coffee: "coffeescript",
      conc: "concurnas",
      jinja2: "django",
      "dns-zone": "dns-zone-file",
      dockerfile: "docker",
      gv: "dot",
      eta: "ejs",
      xlsx: "excel-formula",
      xls: "excel-formula",
      gamemakerlanguage: "gml",
      po: "gettext",
      gni: "gn",
      ld: "linker-script",
      "go-mod": "go-module",
      hbs: "handlebars",
      mustache: "handlebars",
      hs: "haskell",
      idr: "idris",
      gitignore: "ignore",
      hgignore: "ignore",
      npmignore: "ignore",
      webmanifest: "json",
      kt: "kotlin",
      kts: "kotlin",
      kum: "kumir",
      tex: "latex",
      context: "latex",
      ly: "lilypond",
      emacs: "lisp",
      elisp: "lisp",
      "emacs-lisp": "lisp",
      md: "markdown",
      moon: "moonscript",
      n4jsd: "n4js",
      nani: "naniscript",
      objc: "objectivec",
      qasm: "openqasm",
      objectpascal: "pascal",
      px: "pcaxis",
      pcode: "peoplecode",
      plantuml: "plant-uml",
      pq: "powerquery",
      mscript: "powerquery",
      pbfasm: "purebasic",
      purs: "purescript",
      py: "python",
      qs: "qsharp",
      rkt: "racket",
      razor: "cshtml",
      rpy: "renpy",
      res: "rescript",
      robot: "robotframework",
      rb: "ruby",
      "sh-session": "shell-session",
      shellsession: "shell-session",
      smlnj: "sml",
      sol: "solidity",
      sln: "solution-file",
      rq: "sparql",
      sclang: "supercollider",
      t4: "t4-cs",
      trickle: "tremor",
      troy: "tremor",
      trig: "turtle",
      ts: "typescript",
      tsconfig: "typoscript",
      uscript: "unrealscript",
      uc: "unrealscript",
      url: "uri",
      vb: "visual-basic",
      vba: "visual-basic",
      webidl: "web-idl",
      mathematica: "wolfram",
      nb: "wolfram",
      wl: "wolfram",
      xeoracube: "xeora",
      yml: "yaml"
    }
  ), c = {}, y = "none", p = "components/", u = Prism.util.currentScript();
  if (u) {
    var d = /\bplugins\/autoloader\/prism-autoloader\.(?:min\.)?js(?:\?[^\r\n/]*)?$/i, g = /(^|\/)[\w-]+\.(?:min\.)?js(?:\?[^\r\n/]*)?$/i, f = u.getAttribute("data-autoloader-path");
    if (f != null)
      p = f.trim().replace(/\/?$/, "/");
    else {
      var n = u.src;
      d.test(n) ? p = n.replace(d, "components/") : g.test(n) && (p = n.replace(g, "$1components/"));
    }
  }
  var h = Prism.plugins.autoloader = {
    languages_path: p,
    use_minified: !0,
    loadLanguages: m
  };
  function x(a, r, s) {
    var e = document.createElement("script");
    e.src = a, e.async = !0, e.onload = function() {
      document.body.removeChild(e), r && r();
    }, e.onerror = function() {
      document.body.removeChild(e), s && s();
    }, document.body.appendChild(e);
  }
  function q(a) {
    var r = (a.getAttribute("data-dependencies") || "").trim();
    if (!r) {
      var s = a.parentElement;
      s && s.tagName.toLowerCase() === "pre" && (r = (s.getAttribute("data-dependencies") || "").trim());
    }
    return r ? r.split(/\s*,\s*/g) : [];
  }
  function v(a) {
    if (a.indexOf("!") >= 0)
      return !1;
    if (a = k[a] || a, a in Prism.languages)
      return !0;
    var r = c[a];
    return r && !r.error && r.loading === !1;
  }
  function w(a) {
    return h.languages_path + "prism-" + a + (h.use_minified ? ".min" : "") + ".js";
  }
  function m(a, r, s) {
    typeof a == "string" && (a = [a]);
    var e = a.length, l = 0, i = !1;
    if (e === 0) {
      r && setTimeout(r, 0);
      return;
    }
    function t() {
      i || (l++, l === e && r && r(a));
    }
    a.forEach(function(b) {
      P(b, t, function() {
        i || (i = !0, s && s(b));
      });
    });
  }
  function P(a, r, s) {
    var e = a.indexOf("!") >= 0;
    a = a.replace("!", ""), a = k[a] || a;
    function l() {
      var t = c[a];
      t || (t = c[a] = {
        callbacks: []
      }), t.callbacks.push({
        success: r,
        error: s
      }), !e && v(a) ? o(a, "success") : !e && t.error ? o(a, "error") : (e || !t.loading) && (t.loading = !0, t.error = !1, x(w(a), function() {
        t.loading = !1, o(a, "success");
      }, function() {
        t.loading = !1, t.error = !0, o(a, "error");
      }));
    }
    var i = j[a];
    i && i.length ? m(i, l, s) : l();
  }
  function o(a, r) {
    if (c[a]) {
      for (var s = c[a].callbacks, e = 0, l = s.length; e < l; e++) {
        var i = s[e][r];
        i && setTimeout(i, 0);
      }
      s.length = 0;
    }
  }
  Prism.hooks.add("complete", function(a) {
    var r = a.element, s = a.language;
    if (!(!r || !s || s === y)) {
      var e = q(r);
      /^diff-./i.test(s) ? (e.push("diff"), e.push(s.substr(5))) : e.push(s), e.every(v) || m(e, function() {
        Prism.highlightElement(r);
      });
    }
  });
})();
